%These are the bounds for Allocation   
% lower and upper bounds and starting values

if k==1     % RR EU
    if sn==10 || sn==21 || sn==29 || sn==37 || sn==38
        lb(1)=4.5;     ub(1)=50.0;  st(1)=5.5; 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==22 || sn==35
        lb(1)=5000.0;     ub(1)=50000.0;  st(1)=5005.5; 
        lb(4)=0.01;     ub(4)=5.0;  st(4)=2.2;
    elseif sn==73
        lb(1)=50.0;     ub(1)=100.0;  st(1)=55.5; 
        lb(4)=2.0;     ub(4)=10.0;  st(4)=2.2;
    else
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of RR EU

if k==2     % RR RD
    if sn==3 || sn==24 || sn==26 || sn==49 || sn==85 || sn==89 || sn==94
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;               
        lb(3)=0.3;      ub(3)=2.0;  st(3)=1.0;             
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==10 || sn==21 || sn==37 || sn==38
        lb(1)=4.5;     ub(1)=50.0;  st(1)=5.5;                 
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==22
        lb(1)=6000.0;     ub(1)=8000.0;  st(1)=6005.5; 
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;
        lb(4)=0.01;     ub(4)=5.0;  st(4)=2.2;
    elseif sn==23 || sn==43 || sn==57 || sn==71
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(3)=1.5;      ub(3)=5.0;  st(3)=2.0;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==30
        lb(1)=5.0;     ub(1)=10.0;  st(1)=5.5;                
        lb(3)=1.7;      ub(3)=10.0;  st(3)=2.0;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==35
        lb(1)=100.0;     ub(1)=300.0;  st(1)=105.5; 
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;
        lb(4)=0.01;     ub(4)=5.0;  st(4)=2.2;
    elseif sn==51
        lb(1)=10.0;     ub(1)=30.0;  st(1)=15.5;                
        lb(3)=5.0;      ub(3)=15.0;  st(3)=5.5;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==73
        lb(1)=50.0;     ub(1)=100.0;  st(1)=55.5; 
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;
        lb(4)=2.0;     ub(4)=10.0;  st(4)=2.2;
    else
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                 % g in RD starts at EU
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of RR RD

if k==3     % AR EU
    if sn==22
        lb(2)=-15.0;     ub(2)=-5.0;  st(2)=-10.01; 
        lb(4)=0.01;     ub(4)=5.0;  st(4)=2.2;
    elseif sn==73
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;              
        lb(4)=2.0;     ub(4)=10.0;  st(4)=2.2;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of AR EU

if k==4     % AR RD
    if sn==3 || sn==6 || sn==12 || sn==26 || sn==38 || sn==49 || sn==85 || sn==89 || sn==94 || sn==96
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;               
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;      
    elseif sn==17
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=1.5;      ub(3)=2.0;  st(3)=1.51;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==22
        lb(2)=-15.0;     ub(2)=-5.0;  st(2)=-10.01;               
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                 
        lb(4)=0.01;     ub(4)=5.0;  st(4)=0.2;
    elseif sn==30
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=2.55;      ub(3)=2.75;  st(3)=2.6;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==37
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=0.3;      ub(3)=1.0;  st(3)=0.31;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==43
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=1.8;      ub(3)=2.2;  st(3)=1.81;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==51
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                
        lb(3)=5.0;      ub(3)=15.0;  st(3)=5.5;               
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==57
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=2.0;      ub(3)=2.3;  st(3)=2.01;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==71

        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=2.0;      ub(3)=2.3;  st(3)=2.01;                 
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==73
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;              
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                
        lb(4)=6.0;     ub(4)=6.5;  st(4)=6.01;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                 % g in RD starts at EU
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of AR RD