% This is the estimation for comparing r in the same preference functional
% acrsoo different elicitation methods
% Different elicitation methods produce different estimates. 
% How close they are?

tic
addpath('data from experiment')
addpath('estimation results');
% load data from experiment
data=csvread('data from experiment/m_estimates-All.csv'); % This is the original matrix containing all the loglikelihoods
ns=96;            % number of subjects.
nft=4;            % this is the number of preferences functional types (1 is RREU, 2 is RRRD, 3 is AREU, 4 is ARRD)
fft=4;            % first preference functional type (RREU etc)
lft=4;            % last preference functional type

%Drop NotConverged/HittingBounds subjects (27 in total)
k=1;
i=0;
while i<ns 
    if data(k,1)==3 || data(k,1)==10 || data(k,1)==20 || data(k,1)==22 || data(k,1)==26 || data(k,1)==29 || data(k,1)==35 || data(k,1)==36....
            || data(k,1)==37 || data(k,1)==45 || data(k,1)==49 || data(k,1)==52 || data(k,1)==53 || data(k,1)==54 || data(k,1)==55....
            || data(k,1)==60 || data(k,1)==62 || data(k,1)==65 || data(k,1)==67 || data(k,1)==81 || data(k,1)==83 || data(k,1)==85....
            || data(k,1)==89 || data(k,1)==91 || data(k,1)==92 || data(k,1)==94 || data(k,1)==96
        data(k,:)=[];
        k=k+0;
    else
        k=k+1;
    end
    i=i+1;
end 

for ptn=fft:1:lft
    if ptn==1 %RREU
        % r for RREU
        clf;
        x=data(:,12);
        y=data(:,22);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); % r for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under RREU');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/r for Allo LC under RREU.png');
        
        clf;
        x=data(:,12);
        y=data(:,2);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); % r for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under RREU');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/r for Allo PC under RREU.png');
        
        clf;
        x=data(:,12);
        y=data(:,32);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); % r for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under RREU');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/r for Allo Lists under RREU.png');
        
        clf;
        x=data(:,22);
        y=data(:,2);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); % r for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under RREU');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/r for LC PC under RREU.png');
        
        clf;
        x=data(:,22);
        y=data(:,32);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); % r for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under RREU');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/r for LC Lists under RREU.png');
        
        clf;
        x=data(:,2);
        y=data(:,32);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % r for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under RREU');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/r for PC Lists under RREU.png');
        % End r for RREU
        
         % s for RREU
        clf;
        x=data(:,13);
        y=data(:,23);
        b=regress(y,x);
        plot([-1 6],[-1*b 6*b]); % s for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under RREU');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/s for Allo LC under RREU.png');
        
        clf;
        x=data(:,13);
        y=data(:,3);
        b=regress(y,x);
        plot([-1 9],[-1*b 9*b]); % s for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under RREU');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/s for Allo PC under RREU.png');
        
        clf;
        x=data(:,13);
        y=data(:,33);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under RREU');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/s for Allo Lists under RREU.png');
        
        clf;
        x=data(:,23);
        y=data(:,3);
        b=regress(y,x);
        plot([-1 9],[-1*b 9*b]); % s for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under RREU');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/s for LC PC under RREU.png');
        
        clf;
        x=data(:,23);
        y=data(:,33);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under RREU');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/s for LC Lists under RREU.png');
        
        clf;
        x=data(:,3);
        y=data(:,33);
        b=regress(y,x);
        plot([-1 9],[-1*b 9*b]); % s for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under RREU');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RREU/s for PC Lists under RREU.png');
        % End s for RREU

    elseif ptn==2 %RRRD
        % r for RRRD
        clf;
        x=data(:,14);
        y=data(:,24);
        b=regress(y,x);
        plot([-10 70],[-10*b 70*b]); % r for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under RRRD');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/r for Allo LC under RRRD.png');
        
        clf;
        x=data(:,14);
        y=data(:,4);
        b=regress(y,x);
        plot([-10 70],[-10*b 70*b]); % r for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under RRRD');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/r for Allo PC under RRRD.png');
        
        clf;
        x=data(:,14);
        y=data(:,34);
        b=regress(y,x);
        plot([-10 70],[-10*b 70*b]); % r for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under RRRD');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/r for Allo Lists under RRRD.png');
        
        clf;
        x=data(:,24);
        y=data(:,4);
        b=regress(y,x);
        plot([-1.5 6],[-1.5*b 6*b]); % r for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under RRRD');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/r for LC PC under RRRD.png');
        
        clf;
        x=data(:,24);
        y=data(:,34);
        b=regress(y,x);
        plot([-1.5 6],[-1.5*b 6*b]); % r for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under RRRD');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/r for LC Lists under RRRD.png');
        
        clf;
        x=data(:,4);
        y=data(:,34);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % r for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under RRRD');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/r for PC Lists under RRRD.png');
        % End r for RRRD
        
         % s for RRRD
        clf;
        x=data(:,16);
        y=data(:,26);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under RRRD');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/s for Allo LC under RRRD.png');
        
        clf;
        x=data(:,16);
        y=data(:,6);
        b=regress(y,x);
        plot([-5 30],[-5*b 30*b]); % s for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under RRRD');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/s for Allo PC under RRRD.png');
        
        clf;
        x=data(:,16);
        y=data(:,36);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under RRRD');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/s for Allo Lists under RRRD.png');
        
        clf;
        x=data(:,26);
        y=data(:,6);
        b=regress(y,x);
        plot([-5 30],[-5*b 30*b]); % s for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under RRRD');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/s for LC PC under RRRD.png');
        
        clf;
        x=data(:,26);
        y=data(:,36);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under RRRD');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/s for LC Lists under RRRD.png');
        
        clf;
        x=data(:,6);
        y=data(:,36);
        b=regress(y,x);
        plot([-5 30],[-5*b 30*b]); % s for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under RRRD');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/s for PC Lists under RRRD.png');
        % End s for RRRD
        
        % g for RRRD
        clf;
        x=data(:,15);
        y=data(:,25);
        b=regress(y,x);
        plot([-2 12],[-2*b 12*b]); % g for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and LC under RRRD');
        xlabel('g for Allo');
        ylabel('g for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/g for Allo LC under RRRD.png');
        
        clf;
        x=data(:,15);
        y=data(:,5);
        b=regress(y,x);
        plot([-2 12],[-2*b 12*b]); % g for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and PC under RRRD');
        xlabel('g for Allo');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/g for Allo PC under RRRD.png');
        
        clf;
        x=data(:,15);
        y=data(:,35);
        b=regress(y,x);
        plot([-2 12],[-2*b 12*b]); % g for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and Lists under RRRD');
        xlabel('g for Allo');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/g for Allo Lists under RRRD.png');
        
        clf;
        x=data(:,25);
        y=data(:,5);
        b=regress(y,x);
        plot([-1 6],[-1*b 6*b]); % g for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and PC under RRRD');
        xlabel('g for LC');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/g for LC PC under RRRD.png');
        
        clf;
        x=data(:,25);
        y=data(:,35);
        b=regress(y,x);
        plot([-1 6],[-1*b 6*b]); % g for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and Lists under RRRD');
        xlabel('g for LC');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/g for LC Lists under RRRD.png');
        
        clf;
        x=data(:,5);
        y=data(:,35);
        b=regress(y,x);
        plot([-1 5],[-1*b 5*b]);  % g for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('g for PC');
        ylabel('g for Lists');
        title('g for PC and Lists under RRRD');
        print(gcf,'-dpng','estimation results/Figure Across Methods/RRRD/g for PC Lists under RRRD.png');
        % End g for RRRD
        
    elseif ptn==3 % AREU
        % r for AREU
        clf;
        x=data(:,17);
        y=data(:,27);
        b=regress(y,x);
        plot([-1 3],[-1*b 3*b]); % r for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under AREU');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/r for Allo LC under AREU.png');
        
        clf;
        x=data(:,17);
        y=data(:,7);
        b=regress(y,x);
        plot([-1 3],[-1*b 3*b]);  % r for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under AREU');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/r for Allo PC under AREU.png');
        
        clf;
        x=data(:,17);
        y=data(:,37);
        b=regress(y,x);
        plot([-20 100],[-20*b 100*b]); % r for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under AREU');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/r for Allo Lists under AREU.png');
        
        clf;
        x=data(:,27);
        y=data(:,7);
        b=regress(y,x);
        plot([-1.5 2],[-1.5*b 2*b]); % r for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under AREU');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/r for LC PC under AREU.png');
        
        clf;
        x=data(:,27);
        y=data(:,37);
        b=regress(y,x);
        plot([-20 100],[-20*b 100*b]); % r for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under AREU');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/r for LC Lists under AREU.png');
        
        clf;
        x=data(:,7);
        y=data(:,37);
        b=regress(y,x);
        plot([-20 100],[-20*b 100*b]); % r for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under AREU');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/r for PC Lists under AREU.png');
        % End r for AREU
        
         % s for AREU
        clf;
        x=data(:,18);
        y=data(:,28);
        b=regress(y,x);
        plot([-1 6.5],[-1*b 6.5*b]); % s for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under AREU');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/s for Allo LC under AREU.png');
        
        clf;
        x=data(:,18);
        y=data(:,8);
        b=regress(y,x);
        plot([-1 6.5],[-1*b 6.5*b]); % s for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under AREU');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/s for Allo PC under AREU.png');
        
        clf;
        x=data(:,18);
        y=data(:,38);
        b=regress(y,x);
        plot([-1 6.5],[-1*b 6.5*b]); % s for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under AREU');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/s for Allo Lists under AREU.png');
        
        clf;
        x=data(:,28);
        y=data(:,8);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % s for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under AREU');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/s for LC PC under AREU.png');
        
        clf;
        x=data(:,28);
        y=data(:,38);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % s for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under AREU');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/s for LC Lists under AREU.png');
        
        clf;
        x=data(:,8);
        y=data(:,38);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % s for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under AREU');
        print(gcf,'-dpng','estimation results/Figure Across Methods/AREU/s for PC Lists under AREU.png');
        % End s for AREU
        
    elseif ptn==4 % ARRD
        % r for ARRD
        clf;
        x=data(:,19);
        y=data(:,29);
        b=regress(y,x);
        plot([-1 2.5],[-1*b 2.5*b]); % r for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under ARRD');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/r for Allo LC under ARRD.png');
        
        clf;
        x=data(:,19);
        y=data(:,9);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % r for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under ARRD');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/r for Allo PC under ARRD.png');
        
        clf;
        x=data(:,19);
        y=data(:,39);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); % r for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under ARRD');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/r for Allo Lists under ARRD.png');
        
        clf;
        x=data(:,29);
        y=data(:,9);
        b=regress(y,x);
        plot([-1 3],[-1*b 3*b]); % r for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under ARRD');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/r for LC PC under ARRD.png');
        
        clf;
        x=data(:,29);
        y=data(:,39);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); % r for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under ARRD');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/r for LC Lists under ARRD.png');
        
        clf;
        x=data(:,9);
        y=data(:,39);
        b=regress(y,x);
        plot([-10 90],[-10*b 90*b]); % r for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under ARRD');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/r for PC Lists under ARRD.png');
        % End r for ARRD
        
         % s for ARRD
        clf;
        x=data(:,21);
        y=data(:,31);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under ARRD');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/s for Allo LC under ARRD.png');
        
        clf;
        x=data(:,21);
        y=data(:,11);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under ARRD');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/s for Allo PC under ARRD.png');
        
        clf;
        x=data(:,21);
        y=data(:,41);
        b=regress(y,x);
        plot([-1 7],[-1*b 7*b]); % s for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under ARRD');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/s for Allo Lists under ARRD.png');
        
        clf;
        x=data(:,31);
        y=data(:,11);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % s for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under ARRD');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/s for LC PC under ARRD.png');
        
        clf;
        x=data(:,31);
        y=data(:,41);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % s for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under ARRD');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/s for LC Lists under ARRD.png');
        
        clf;
        x=data(:,11);
        y=data(:,41);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % s for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under ARRD');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/s for PC Lists under ARRD.png');
        % End s for ARRD
        
        % g for ARRD
        clf;
        x=data(:,20);
        y=data(:,30);
        b=regress(y,x);
        plot([-2 14],[-2*b 14*b]); % g for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and LC under ARRD');
        xlabel('g for Allo');
        ylabel('g for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/g for Allo LC under ARRD.png');
        
        clf;
        x=data(:,20);
        y=data(:,10);
        b=regress(y,x);
        plot([-2 10],[-2*b 10*b]); % g for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and PC under ARRD');
        xlabel('g for Allo');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/g for Allo PC under ARRD.png');
        
        clf;
        x=data(:,20);
        y=data(:,40);
        b=regress(y,x);
        plot([-2 10],[-2*b 10*b]); % g for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and Lists under ARRD');
        xlabel('g for Allo');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/g for Allo Lists under ARRD.png');
        
        clf;
        x=data(:,30);
        y=data(:,10);
        b=regress(y,x);
        plot([-2 14],[-2*b 14*b]); % g for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and PC under ARRD');
        xlabel('g for LC');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/g for LC PC under ARRD.png');
        
        clf;
        x=data(:,30);
        y=data(:,40);
        b=regress(y,x);
        plot([-2 14],[-2*b 14*b]); % g for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and Lists under ARRD');
        xlabel('g for LC');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/g for LC Lists under ARRD.png');
        
        clf;
        x=data(:,10);
        y=data(:,40);
        b=regress(y,x);
        plot([-1 5],[-1*b 5*b]); % g for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('g for PC');
        ylabel('g for Lists');
        title('g for PC and Lists under ARRD');
        print(gcf,'-dpng','estimation results/Figure Across Methods/ARRD/g for PC Lists under ARRD.png');
        % End g for ARRD
    end


end
resultspath=[pwd,'\estimation results\'];
toc