% This is the estimation for comparing r in the same preference functional
% acrsoo different elicitation methods
% Different elicitation methods produce different estimates. 
% How close they are?

tic
addpath('data from experiment')
addpath('estimation results');
% load data from experiment
dataori=csvread('data from experiment/m_estimates-All.csv'); % This is the original matrix containing all the loglikelihoods
ns=96;            % number of subjects.
nft=4;            % this is the number of preferences functional types (1 is RREU, 2 is RRRD, 3 is AREU, 4 is ARRD)
fft=1;            % first preference functional type (RREU etc)
lft=4;            % last preference functional type

%Drop NotConverged/HittingBounds subjects (27 in total)
k=1;
i=0;
while i<ns 
    if dataori(k,1)==3 || dataori(k,1)==10 || dataori(k,1)==20 || dataori(k,1)==22 || dataori(k,1)==26 || dataori(k,1)==29 || dataori(k,1)==35 || dataori(k,1)==36....
            || dataori(k,1)==37 || dataori(k,1)==45 || dataori(k,1)==49 || dataori(k,1)==52 || dataori(k,1)==53 || dataori(k,1)==54 || dataori(k,1)==55....
            || dataori(k,1)==60 || dataori(k,1)==62 || dataori(k,1)==65 || dataori(k,1)==67 || dataori(k,1)==81 || dataori(k,1)==83 || dataori(k,1)==85....
            || dataori(k,1)==89 || dataori(k,1)==91 || dataori(k,1)==92 || dataori(k,1)==94 || dataori(k,1)==96
        dataori(k,:)=[];
        k=k+0;
    else
        k=k+1;
    end
    i=i+1;
end 

for ptn=fft:1:lft
    if ptn==1 %RREU
        % r for RREU
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==21 || data(k,1)==38 || data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,12);
        y=data(:,22);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); % r for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under RREU (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/r for Allo LC under RREU (Drop Outlier).png');
        
        clf;
        x=data(:,12);
        y=data(:,2);
        b=regress(y,x);
        plot([-1 4],[-1*b 4*b]); % r for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under RREU (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/r for Allo PC under RREU (Drop Outlier).png');
        
        clf;
        x=data(:,12);
        y=data(:,32);
        b=regress(y,x);
        plot([-1 4],[-1*b 4*b]); % r for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under RREU (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/r for Allo Lists under RREU (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,22);
        y=data(:,2);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); % r for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under RREU (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/r for LC PC under RREU (Drop Outlier).png');
        
        clf;
        x=data(:,22);
        y=data(:,32);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); % r for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under RREU (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/r for LC Lists under RREU (Drop Outlier).png');
        
        clf;
        x=data(:,2);
        y=data(:,32);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % r for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under RREU (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/r for PC Lists under RREU (Drop Outlier).png');
        % End r for RREU
        
         % s for RREU
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,13);
        y=data(:,23);
        b=regress(y,x);
        plot([-0.5 6],[-0.5*b 6*b]); % s for Allo and LC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under RREU (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/s for Allo LC under RREU (Drop Outlier).png');
        
        clf;
        x=data(:,13);
        y=data(:,3);
        b=regress(y,x);
        plot([-0.5 9],[-0.5*b 9*b]); % s for Allo and PC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under RREU (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/s for Allo PC under RREU (Drop Outlier).png');
        
        clf;
        x=data(:,13);
        y=data(:,33);
        b=regress(y,x);
        plot([-0.5 7],[-0.5*b 7*b]); % s for Allo and Lists
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under RREU (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/s for Allo Lists under RREU (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,23);
        y=data(:,3);
        b=regress(y,x);
        plot([-0.2 9],[-0.2*b 9*b]); % s for LC and PC
        axis([0, max(x)+0.5, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under RREU (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/s for LC PC under RREU (Drop Outlier).png');
        
        clf;
        x=data(:,23);
        y=data(:,33);
        b=regress(y,x);
        plot([-0.2 7],[-0.2*b 7*b]); % s for LC and Lists
        axis([0, max(x)+0.5, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under RREU (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/s for LC Lists under RREU (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==25 || data(k,1)==40
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,3);
        y=data(:,33);
        b=regress(y,x);
        plot([-0.5 9],[-0.5*b 9*b]); % s for PC and Lists
        axis([0, max(x)+0.5, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under RREU (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RREU/s for PC Lists under RREU (Drop Outlier).png');
        % End s for RREU

    elseif ptn==2 %RRRD
         % r for RRRD
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==21 || data(k,1)==38 || data(k,1)==51 || data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,14);
        y=data(:,24);
        b=regress(y,x);
        plot([-2 10],[-2*b 10*b]); % r for Allo and LC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under RRRD (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/r for Allo LC under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,14);
        y=data(:,4);
        b=regress(y,x);
        plot([-2 10],[-2*b 10*b]); % r for Allo and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under RRRD (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/r for Allo PC under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,14);
        y=data(:,34);
        b=regress(y,x);
        plot([-2 10],[-2*b 10*b]); % r for Allo and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under RRRD (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/r for Allo Lists under RRRD (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,24);
        y=data(:,4);
        b=regress(y,x);
        plot([-1.5 6],[-1.5*b 6*b]); % r for LC and PC
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under RRRD (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/r for LC PC under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,24);
        y=data(:,34);
        b=regress(y,x);
        plot([-1.5 6],[-1.5*b 6*b]); % r for LC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under RRRD (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/r for LC Lists under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,4);
        y=data(:,34);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % r for PC and Lists
        axis([min(x)-0.5, max(x)+0.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under RRRD (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/r for PC Lists under RRRD (Drop Outlier).png');
        % End r for RRRD
        
         % s for RRRD
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,16);
        y=data(:,26);
        b=regress(y,x);
        plot([-0.5 7],[-0.5*b 7*b]); % s for Allo and LC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under RRRD (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/s for Allo LC under RRRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==24 || data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,16);
        y=data(:,6);
        b=regress(y,x);
        plot([-0.5 10],[-0.5*b 10*b]); % s for Allo and PC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under RRRD (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/s for Allo PC under RRRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,16);
        y=data(:,36);
        b=regress(y,x);
        plot([-0.5 7],[-0.5*b 7*b]); % s for Allo and Lists
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under RRRD (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/s for Allo Lists under RRRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==24
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,26);
        y=data(:,6);
        b=regress(y,x);
        plot([-0.2 10],[-0.2*b 10*b]); % s for LC and PC
        axis([0, 1.2, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under RRRD (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/s for LC PC under RRRD (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,26);
        y=data(:,36);
        b=regress(y,x);
        plot([-0.2 7],[-0.2*b 7*b]); % s for LC and Lists
        axis([0, 1.2, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under RRRD (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/s for LC Lists under RRRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==24
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,6);
        y=data(:,36);
        b=regress(y,x);
        plot([-0.5 10],[-0.5*b 10*b]); % s for PC and Lists
        axis([0, max(x)+0.5, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under RRRD (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/s for PC Lists under RRRD (Drop Outlier).png');
        % End s for RRRD
        
        % g for RRRD
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==51
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,15);
        y=data(:,25);
        b=regress(y,x);
        plot([-0.2 8],[-0.2*b 8*b]); % g for Allo and LC
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and LC under RRRD (Drop Outlier)');
        xlabel('g for Allo');
        ylabel('g for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/g for Allo LC under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,15);
        y=data(:,5);
        b=regress(y,x);
        plot([-0.2 8],[-0.2*b 8*b]); % g for Allo and PC
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and PC under RRRD (Drop Outlier)');
        xlabel('g for Allo');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/g for Allo PC under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,15);
        y=data(:,35);
        b=regress(y,x);
        plot([-0.2 8],[-0.2*b 8*b]); % g for Allo and Lists
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and Lists under RRRD (Drop Outlier)');
        xlabel('g for Allo');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/g for Allo Lists under RRRD (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,25);
        y=data(:,5);
        b=regress(y,x);
        plot([-0.2 5.5],[-0.2*b 5.5*b]); % g for LC and PC
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and PC under RRRD (Drop Outlier)');
        xlabel('g for LC');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/g for LC PC under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,25);
        y=data(:,35);
        b=regress(y,x);
        plot([-0.2 5.5],[-0.2*b 5.5*b]);  % g for LC and Lists
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and Lists under RRRD (Drop Outlier)');
        xlabel('g for LC');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/g for LC Lists under RRRD (Drop Outlier).png');
        
        clf;
        x=data(:,5);
        y=data(:,35);
        b=regress(y,x);
        plot([-0.2 5],[-0.2*b 5*b]); % g for PC and Lists
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('g for PC');
        ylabel('g for Lists');
        title('g for PC and Lists under RRRD (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/RRRD/g for PC Lists under RRRD (Drop Outlier).png');
        % End g for RRRD
        
    elseif ptn==3 % AREU
         % r for AREU
        data=dataori;
        clf;
        x=data(:,17);
        y=data(:,27);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % r for Allo and LC
        axis([min(x)-0.5, 2, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under AREU (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/r for Allo LC under AREU (Drop Outlier).png');
        
        clf;
        x=data(:,17);
        y=data(:,7);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % r for Allo and PC
        axis([min(x)-0.5, 2, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under AREU (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/r for Allo PC under AREU (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==33 || data(k,1)==34
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,17);
        y=data(:,37);
        b=regress(y,x);
        plot([-1 2],[-1*b 2*b]); % r for Allo and Lists
        axis([min(x)-0.5, 2, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under AREU (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/r for Allo Lists under AREU (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,27);
        y=data(:,7);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]); % r for LC and PC
        axis([-0.6, 1, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under AREU (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/r for LC PC under AREU (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==33 || data(k,1)==34
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,27);
        y=data(:,37);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]); % r for LC and Lists
        axis([-0.6, 1, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under AREU (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/r for LC Lists under AREU (Drop Outlier).png');
        
        clf;
        x=data(:,7);
        y=data(:,37);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]); % r for PC and Lists
        axis([min(x)-0.5, 1, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under AREU (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/r for PC Lists under AREU (Drop Outlier).png');
        % End r for AREU
        
         % s for AREU
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,18);
        y=data(:,28);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for Allo and LC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under AREU (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/s for Allo LC under AREU (Drop Outlier).png');
        
        clf;
        x=data(:,18);
        y=data(:,8);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for Allo and PC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under AREU (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/s for Allo PC under AREU (Drop Outlier).png');
        
        clf;
        x=data(:,18);
        y=data(:,38);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for Allo and Lists
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under AREU (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/s for Allo Lists under AREU (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,28);
        y=data(:,8);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for LC and PC
        axis([0, 1.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under AREU (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/s for LC PC under AREU (Drop Outlier).png');
        
        clf;
        x=data(:,28);
        y=data(:,38);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for LC and Lists
        axis([0, 1.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under AREU (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/s for LC Lists under AREU (Drop Outlier).png');
        
        clf;
        x=data(:,8);
        y=data(:,38);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for PC and Lists
        axis([0, 0.5, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under AREU (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/AREU/s for PC Lists under AREU (Drop Outlier).png');
        % End s for AREU
        
    elseif ptn==4 % ARRD
        % r for ARRD
        data=dataori;
        clf;
        x=data(:,19);
        y=data(:,29);
        b=regress(y,x);
        plot([-1 2.5],[-1*b 2.5*b]); % r for Allo and LC
        axis([min(x)-0.5, 1.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and LC under ARRD (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/r for Allo LC under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,19);
        y=data(:,9);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % r for Allo and PC
        axis([min(x)-0.5, 1.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and PC under ARRD (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/r for Allo PC under ARRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==33 || data(k,1)==34
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,19);
        y=data(:,39);
        b=regress(y,x);
        plot([-1 1.5],[-1*b 1.5*b]); % r for Allo and Lists
        axis([min(x)-0.5, 1.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for Allocation and Lists under ARRD (Drop Outlier)');
        xlabel('r for Allo');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/r for Allo Lists under ARRD (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,29);
        y=data(:,9);
        b=regress(y,x);
        plot([-1 2.5],[-1*b 2.5*b]); % r for LC and PC
        axis([min(x)-0.5, 2.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and PC under ARRD (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/r for LC PC under ARRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==33 || data(k,1)==34
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,29);
        y=data(:,39);
        b=regress(y,x);
        plot([-1 2.5],[-1*b 2.5*b]); % r for LC and Lists
        axis([min(x)-0.5, 2.5, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('r for LC and Lists under ARRD (Drop Outlier)');
        xlabel('r for LC');
        ylabel('r for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/r for LC Lists under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,9);
        y=data(:,39);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]); % r for PC and Lists
        axis([min(x)-0.5, 1, min(y)-0.5, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('r for PC');
        ylabel('r for Lists');
        title('r for PC and Lists under ARRD (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/r for PC Lists under ARRD (Drop Outlier).png');
        % End r for ARRD
        
         % s for ARRD
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==73
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,21);
        y=data(:,31);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for Allo and LC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and LC under ARRD (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/s for Allo LC under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,21);
        y=data(:,11);
        b=regress(y,x);
        plot([0 1],[0*b 1*b]); % s for Allo and PC
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and PC under ARRD (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/s for Allo PC under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,21);
        y=data(:,41);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for Allo and Lists
        axis([0, 0.3, 0, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('s for Allocation and Lists under ARRD (Drop Outlier)');
        xlabel('s for Allo');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/s for Allo Lists under ARRD (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,31);
        y=data(:,11);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for LC and PC
        axis([0, 1.3, 0, 0.5]);
        hold on
        plot(x,y,'.');
        title('s for LC and PC under ARRD (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/s for LC PC under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,31);
        y=data(:,41);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for LC and Lists
        axis([0, 1.3, 0, 1.4]);
        hold on
        plot(x,y,'.');
        title('s for LC and Lists under ARRD (Drop Outlier)');
        xlabel('s for LC');
        ylabel('s for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/s for LC Lists under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,11);
        y=data(:,41);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]); % s for PC and Lists
        axis([0, 0.5, 0, 1.4]);
        hold on
        plot(x,y,'.');
        xlabel('s for PC');
        ylabel('s for Lists');
        title('s for PC and Lists under ARRD (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/s for PC Lists under ARRD (Drop Outlier).png');
        % End s for ARRD
        
        % g for ARRD
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==1 || data(k,1)==51 || data(k,1)==86
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,20);
        y=data(:,30);
        b=regress(y,x);
        plot([0 10],[0*b 10*b]); % g for Allo and LC
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and LC under ARRD (Drop Outlier)');
        xlabel('g for Allo');
        ylabel('g for LC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/g for Allo LC under ARRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==51
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,20);
        y=data(:,10);
        b=regress(y,x);
        plot([0 10],[0*b 10*b]); % g for Allo and PC
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and PC under ARRD (Drop Outlier)');
        xlabel('g for Allo');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/g for Allo PC under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,20);
        y=data(:,40);
        b=regress(y,x);
        plot([0 10],[0*b 10*b]); % g for Allo and Lists
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for Allocation and Lists under ARRD (Drop Outlier)');
        xlabel('g for Allo');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/g for Allo Lists under ARRD (Drop Outlier).png');
        
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==1 || data(k,1)==86
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        clf;
        x=data(:,30);
        y=data(:,10);
        b=regress(y,x);
        plot([0 8],[0*b 8*b]); % g for LC and PC
        axis([0.3, 8, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and PC under ARRD (Drop Outlier)');
        xlabel('g for LC');
        ylabel('g for PC');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/g for LC PC under ARRD (Drop Outlier).png');
        
        clf;
        x=data(:,30);
        y=data(:,40);
        b=regress(y,x);
        plot([0 8],[0*b 8*b]); % g for LC and Lists
        axis([0.3, 8, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        title('g for LC and Lists under ARRD (Drop Outlier)');
        xlabel('g for LC');
        ylabel('g for Lists');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/g for LC Lists under ARRD (Drop Outlier).png');
        
        data=dataori;
        clf;
        x=data(:,10);
        y=data(:,40);
        b=regress(y,x);
        plot([0 5],[0*b 5*b]); % g for PC and Lists
        axis([0.3, max(x)+0.5, 0.3, max(y)+0.5]);
        hold on
        plot(x,y,'.');
        xlabel('g for PC');
        ylabel('g for Lists');
        title('g for PC and Lists under ARRD (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure Across Methods/Drop Outlier/ARRD/g for PC Lists under ARRD (Drop Outlier).png');
        % End g for ARRD
    end


end
resultspath=[pwd,'\estimation results\'];
toc