% This is the 2nd-level estimation for RA
% Different elicitation methods produce different estimates. 
% How close they are?

tic
addpath('data from experiment')
addpath('estimation results');
% load data from experiment
dataori=csvread('data from experiment/m_estimates-All.csv'); % This is the original matrix containing all the loglikelihoods
ns=96;            % number of subjects.
npt=4;            % this is the number of problem types (1 is PC, 2 is Allocation, 3 is BDM, 4 is Price List)
fpt=1;            % first problem type (PC etc)
lpt=4;            % last problem type

%Drop NotConverged/HittingBounds subjects (27 in total)
k=1;
i=0;
while i<ns 
    if dataori(k,1)==3 || dataori(k,1)==10 || dataori(k,1)==20 || dataori(k,1)==22 || dataori(k,1)==26 || dataori(k,1)==29....
            || dataori(k,1)==35 || dataori(k,1)==36 || dataori(k,1)==37 || dataori(k,1)==45 || dataori(k,1)==49....
            || dataori(k,1)==52 || dataori(k,1)==53 || dataori(k,1)==54 || dataori(k,1)==55 || dataori(k,1)==60....
            || dataori(k,1)==62 || dataori(k,1)==65 || dataori(k,1)==67 || dataori(k,1)==81 || dataori(k,1)==83....
            || dataori(k,1)==85 || dataori(k,1)==89 || dataori(k,1)==91 || dataori(k,1)==92 || dataori(k,1)==94....
            || dataori(k,1)==96
        dataori(k,:)=[];
        k=k+0;
    else
        k=k+1;
    end
    i=i+1;
end 

for ptn=fpt:1:lpt
    if ptn==1 %PC
        % r for PC
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==24 || data(k,1)==25
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        
        clf; % r for RREU RRRD
        plot([-0.5 1.5],[-0.5 1.5]); 
        hold on
        x=data(:,2);
        y=data(:,4);
        plot(x,y,'.');
        title('r for RREU and RRRD in Pairwise Choices');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/r for RREU RRRD in PC (Drop Outlier).png');
        
        clf; % r for RREU AREU
        x=data(:,2);
        y=data(:,7);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in Pairwise Choices');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/r for RREU AREU in PC (Drop Outlier).png');
        
        clf; % r for RREU ARRD
        x=data(:,2);
        y=data(:,9);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in Pairwise Choices');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/r for RREU ARRD in PC (Drop Outlier).png');
        
        clf; % r for RRRD AREU
        x=data(:,4);
        y=data(:,7);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in Pairwise Choices');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/r for RRRD AREU in PC (Drop Outlier).png');
        
        clf; % r for RRRD ARRD
        x=data(:,4);
        y=data(:,9);
        b=regress(y,x);
        plot([-0.5 1.5],[-0.5*b 1.5*b]); 
        axis([-0.5, 1.5, -0.5, 1.5]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in Pairwise Choices');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/r for RRRD ARRD in PC (Drop Outlier).png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for AREU ARRD
        hold on
        x=data(:,7);
        y=data(:,9);
        plot(x,y,'.');
        title('r for AREU and ARRD in Pairwise Choices');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/r for AREU ARRD in PC (Drop Outlier).png');
        % End r for PC
        
        % s for PC
        clf;
        plot([0 6],[0 6]); % s for RREU RRRD
        hold on
        x=data(:,3);
        y=data(:,6);
        plot(x,y,'.');
        title('s for RREU and RRRD in Pairwise Choices');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/s for RREU RRRD in PC (Drop Outlier).png');
        
        clf; % s for RREU AREU
        x=data(:,3);
        y=data(:,8);
        b=regress(y,x);
        plot([0 6],[0*b 6*b]); 
        axis([0, 6, 0, 6]);
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in Pairwise Choices');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/s for RREU AREU in PC (Drop Outlier).png');
        
        clf; % s for RREU ARRD
        x=data(:,3);
        y=data(:,11);
        b=regress(y,x);
        plot([0 6],[0*b 6*b]); 
        axis([0, 6, 0, 6]);
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in Pairwise Choices');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/s for RREU ARRD in PC (Drop Outlier).png');
        
        clf; % s for RRRD AREU
        x=data(:,6);
        y=data(:,8);
        b=regress(y,x);
        plot([0 6],[0*b 6*b]); 
        axis([0, 6, 0, 6]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in Pairwise Choices');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/s for RRRD AREU in PC (Drop Outlier).png');
        
        clf; % s for RRRD ARRD
        x=data(:,6);
        y=data(:,11);
        b=regress(y,x);
        plot([0 6],[0*b 6*b]); 
        axis([0, 6, 0, 6]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in Pairwise Choices');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/s for RRRD ARRD in PC (Drop Outlier).png');
        
        clf; % s for AREU ARRD
        plot([0 0.5],[0 0.5]); 
        hold on
        x=data(:,8);
        y=data(:,11);
        plot(x,y,'.');
        title('s for AREU and ARRD in Pairwise Choices');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/s for AREU ARRD in PC (Drop Outlier).png');
        % End s for PC
        
        % g for PC
        clf; % g for RRRD ARRD
        x=data(:,5);
        y=data(:,10);
        b=regress(y,x);
        plot([0 4.5],[0*b 4.5*b]); 
        axis([0, 4.5, 0, 4.5]);
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in Pairwise Choices');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/PC/g for RRRD ARRD in PC (Drop Outlier).png');
        % End g for PC

    elseif ptn==2
        % r for ALLO
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if  data(k,1)==21 || data(k,1)==30 || data(k,1)==38 || data(k,1)==51 || data(k,1)==73 
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        
        clf; % r for RREU RRRD
        plot([0 4],[0 4]); 
        hold on
        x=data(:,12);
        y=data(:,14);
        plot(x,y,'.');
        title('r for RREU and RRRD in Allocation');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/r for RREU RRRD in ALLO (Drop Outlier).png');
        
        clf; % r for RREU AREU
        x=data(:,12);
        y=data(:,17);
        b=regress(y,x);
        plot([0 3.5],[0*b 3.5*b]); 
        axis([0, 3.5, 0, 3.5]);
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in Allocation');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/r for RREU AREU in ALLO (Drop Outlier).png');
        
        clf;% r for RREU ARRD
        x=data(:,12);
        y=data(:,19);
        b=regress(y,x);
        plot([0 3.5],[0*b 3.5*b]); 
        axis([0, 3.5, 0, 3.5]);
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in Allocation');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/r for RREU ARRD in ALLO (Drop Outlier).png');
        
        clf; % r for RRRD AREU
        x=data(:,14);
        y=data(:,17);
        b=regress(y,x);
        plot([0 4],[0*b 4*b]); 
        axis([0, 4, 0, 4]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in Allocation');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/r for RRRD AREU in ALLO (Drop Outlier).png');
        
        clf; % r for RRRD ARRD
        x=data(:,14);
        y=data(:,19);
        b=regress(y,x);
        plot([0 4],[0*b 4*b]); 
        axis([0, 4, 0, 4]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in Allocation');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/r for RRRD ARRD in ALLO (Drop Outlier).png');
        
        clf; % r for AREU ARRD
        plot([0 0.2],[0 0.2]); 
        hold on
        x=data(:,17);
        y=data(:,19);
        plot(x,y,'.');
        title('r for AREU and ARRD in Allocation');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/r for AREU ARRD in ALLO (Drop Outlier).png');
        % End r for ALLO
        
        % s for ALLO
        clf;
        plot([0 0.35],[0 0.35]); % s for RREU RRRD
        hold on
        x=data(:,13);
        y=data(:,16);
        plot(x,y,'.');
        title('s for RREU and RRRD in Allocation');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/s for RREU RRRD in ALLO (Drop Outlier).png');
        
        clf; % s for RREU AREU
        x=data(:,13);
        y=data(:,18);
        b=regress(y,x);
        plot([0 0.35],[0*b 0.35*b]); 
        axis([0, 0.35, 0, 0.35]);
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in Allocation');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/s for RREU AREU in ALLO (Drop Outlier).png');
        
        clf; % s for RREU ARRD
        x=data(:,13);
        y=data(:,21);
        b=regress(y,x);
        plot([0 0.35],[0*b 0.35*b]); 
        axis([0, 0.35, 0, 0.35]);
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in Allocation');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/s for RREU ARRD in ALLO (Drop Outlier).png');
        
        clf; % s for RRRD AREU
        x=data(:,16);
        y=data(:,18);
        b=regress(y,x);
        plot([0 0.35],[0*b 0.35*b]); 
        axis([0, 0.35, 0, 0.35]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in Allocation');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/s for RRRD AREU in ALLO (Drop Outlier).png');
        
        clf; % s for RRRD ARRD
        x=data(:,16);
        y=data(:,21);
        b=regress(y,x);
        plot([0 0.35],[0*b 0.35*b]); 
        axis([0, 0.35, 0, 0.35]);
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in Allocation');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/s for RRRD ARRD in ALLO (Drop Outlier).png');
        
        clf; % s for AREU ARRD
        plot([0 0.35],[0 0.35]); 
        hold on
        x=data(:,18);
        y=data(:,21);
        plot(x,y,'.');
        title('s for AREU and ARRD in Allocation');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/s for AREU ARRD in ALLO (Drop Outlier).png');
        % End s for ALLO
        
        % g for ALLO
        clf; % g for RRRD ARRD
        x=data(:,15);
        y=data(:,20);
        b=regress(y,x);
        plot([0 3],[0*b 3*b]); 
        axis([0, 3, 0, 3]);
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in Allocation');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/ALLO/g for RRRD ARRD in ALLO (Drop Outlier).png');
        % End g for ALLO
        
    elseif ptn==3
        % r for LC
        data=dataori; % No outliers
        clf; % r for RREU RRRD
        plot([-6 8],[-6 8]); 
        hold on
        x=data(:,22);
        y=data(:,24);
        plot(x,y,'.');
        title('r for RREU and RRRD in LC');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/r for RREU RRRD in LC (Drop Outlier).png');
        
        clf; % r for RREU AREU
        x=data(:,22);
        y=data(:,27);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); 
        axis([-6, 8, -6, 8]);
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in LC');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/r for RREU AREU in LC (Drop Outlier).png');
        
        clf; % r for RREU ARRD
        x=data(:,22);
        y=data(:,29);
        b=regress(y,x);
        plot([-6 8],[-6*b 8*b]); 
        axis([-6, 8, -6, 8]);
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in LC');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/r for RREU ARRD in LC (Drop Outlier).png');
        
        clf; % r for RRRD AREU
        x=data(:,24);
        y=data(:,27);
        b=regress(y,x);
        plot([-1 6],[-1*b 6*b]);
        axis([-1, 6, -1, 6]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in LC');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/r for RRRD AREU in LC (Drop Outlier).png');
        
        clf; % r for RRRD ARRD
        x=data(:,24);
        y=data(:,29);
        b=regress(y,x);
        plot([-1 6],[-1*b 6*b]);
        axis([-1, 6, -1, 6]);
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in LC');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/r for RRRD ARRD in LC (Drop Outlier).png');
        
        clf; % r for AREU ARRD
        plot([-1 3],[-1 3]);
        hold on
        x=data(:,27);
        y=data(:,29);
        plot(x,y,'.');
        title('r for AREU and ARRD in LC');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/r for AREU ARRD in LC (Drop Outlier).png');
        % End r for LC
        
        % s for LC
        clf; % s for RREU RRRD
        plot([0 1.5],[0 1.5]);
        hold on
        x=data(:,23);
        y=data(:,26);
        plot(x,y,'.');
        title('s for RREU and RRRD in LC');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/s for RREU RRRD in LC (Drop Outlier).png');
        
        clf; % s for RREU AREU
        x=data(:,23);
        y=data(:,28);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]);
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in LC');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/s for RREU AREU in LC (Drop Outlier).png');
        
        clf; % s for RREU ARRD
        x=data(:,23);
        y=data(:,31);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]);
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in LC');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/s for RREU ARRD in LC (Drop Outlier).png');
        
        clf; % s for RRRD AREU
        x=data(:,26);
        y=data(:,28);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in LC');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/s for RRRD AREU in LC (Drop Outlier).png');
        
        clf; % s for RRRD ARRD
        x=data(:,26);
        y=data(:,31);
        b=regress(y,x);
        plot([0 1.5],[0*b 1.5*b]);
        axis([0, 1.5, 0, 1.5]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in LC');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/s for RRRD ARRD in LC (Drop Outlier).png');
        
        clf; % s for AREU ARRD
        plot([0 1.5],[0 1.5]); 
        hold on
        x=data(:,28);
        y=data(:,31);
        plot(x,y,'.');
        title('s for AREU and ARRD in LC');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/s for AREU ARRD in LC (Drop Outlier).png');
        % End s for LC
        
        % g for LC
        clf; % g for RRRD ARRD
        x=data(:,25);
        y=data(:,30);
        b=regress(y,x);
        plot([0 14],[0*b 14*b]); 
        axis([0, 14, 0, 14]); 
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in LC');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/LC/g for RRRD ARRD in LC (Drop Outlier).png');
        % End g for LC
        
    elseif ptn==4
        % r for PL
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if  data(k,1)==33 || data(k,1)==34
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        
        clf; % r for RREU RRRD
        plot([-1 1],[-1 1]); 
        hold on
        x=data(:,32);
        y=data(:,34);
        plot(x,y,'.');
        title('r for RREU and RRRD in Lists');
        xlabel('r for RREU');
        ylabel('r for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/r for RREU RRRD in Lists (Drop Outlier).png');
        
        clf; % r for RREU AREU
        x=data(:,32);
        y=data(:,37);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]);
        axis([-1, 1, -1, 1]); 
        hold on
        plot(x,y,'.');
        title('r for RREU and AREU in Lists');
        xlabel('r for RREU');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/r for RREU AREU in Lists (Drop Outlier).png');
        
        clf; % r for RREU ARRD
        x=data(:,32);
        y=data(:,39);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]); 
        axis([-1, 1, -1, 1]); 
        hold on
        plot(x,y,'.');
        title('r for RREU and ARRD in Lists');
        xlabel('r for RREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/r for RREU ARRD in Lists (Drop Outlier).png');
        
        clf; % r for RRRD AREU
        x=data(:,34);
        y=data(:,37);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]);
        axis([-1, 1, -1, 1]); 
        hold on
        plot(x,y,'.');
        title('r for RRRD and AREU in Lists');
        xlabel('r for RRRD');
        ylabel('r for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/r for RRRD AREU in Lists (Drop Outlier).png');
        
        clf; % r for RRRD ARRD
        x=data(:,34);
        y=data(:,39);
        b=regress(y,x);
        plot([-1 1],[-1*b 1*b]); 
        axis([-1, 1, -1, 1]); 
        hold on
        plot(x,y,'.');
        title('r for RRRD and ARRD in Lists');
        xlabel('r for RRRD');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/r for RRRD ARRD in Lists (Drop Outlier).png');
        
        clf; % r for AREU ARRD
        plot([-0.2 1.2],[-0.2 1.2]);
        hold on
        x=data(:,37);
        y=data(:,39);
        plot(x,y,'.');
        title('r for AREU and ARRD in Lists');
        xlabel('r for AREU');
        ylabel('r for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/r for AREU ARRD in Lists (Drop Outlier).png');
        % End r for PL
        
        % s for PL
        clf; % s for RREU RRRD
        plot([0 7],[0 7]);
        hold on
        x=data(:,33);
        y=data(:,36);
        plot(x,y,'.');
        title('s for RREU and RRRD in Lists');
        xlabel('s for RREU');
        ylabel('s for RRRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/s for RREU RRRD in Lists (Drop Outlier).png');
        
        clf; % s for RREU AREU
        x=data(:,33);
        y=data(:,38);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RREU and AREU in Lists');
        xlabel('s for RREU');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/s for RREU AREU in Lists (Drop Outlier).png');
        
        clf; % s for RREU ARRD
        x=data(:,33);
        y=data(:,41);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RREU and ARRD in Lists');
        xlabel('s for RREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/s for RREU ARRD in Lists (Drop Outlier).png');
        
        clf; % s for RRRD AREU
        x=data(:,36);
        y=data(:,38);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and AREU in Lists');
        xlabel('s for RRRD');
        ylabel('s for AREU');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/s for RRRD AREU in Lists (Drop Outlier).png');
        
        clf; % s for RRRD ARRD
        x=data(:,36);
        y=data(:,41);
        b=regress(y,x);
        plot([0 7],[0*b 7*b]);
        axis([0, 7, 0, 7]); 
        hold on
        plot(x,y,'.');
        title('s for RRRD and ARRD in Lists');
        xlabel('s for RRRD');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/s for RRRD ARRD in Lists (Drop Outlier).png');
        
        clf; % s for AREU ARRD
        plot([0 1],[0 1]);
        hold on
        x=data(:,38);
        y=data(:,41);
        plot(x,y,'.');
        title('s for AREU and ARRD in Lists');
        xlabel('s for AREU');
        ylabel('s for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/s for AREU ARRD in Lists (Drop Outlier).png');
        % End s for PL
        
        % g for PL
        clf; % g for RRRD ARRD
        x=data(:,35);
        y=data(:,40);
        b=regress(y,x);
        plot([0 5],[0*b 5*b]);
        axis([0, 5, 0, 5]); 
        hold on
        plot(x,y,'.');
        title('g for RRRD and ARRD in Lists');
        xlabel('g for RRRD');
        ylabel('g for ARRD');
        print(gcf,'-dpng','estimation results/Figure Across PFs/Drop Outlier/Lists/g for RRRD ARRD in Lists (Drop Outlier).png');
        % End g for PL
    end


end
resultspath=[pwd,'\estimation results\'];
toc