% This is the 2nd-level estimation for RA
% Different elicitation methods produce different estimates. 
% How close they are?

tic
addpath('data from experiment')
addpath('estimation results');
% load data from experiment
data=csvread('data from experiment/m_estimates-All.csv'); % This is the original matrix containing all the loglikelihoods
ns=96;            % number of subjects.
npt=4;            % this is the number of problem types (1 is PC, 2 is Allocation, 3 is BDM, 4 is Price List)
fpt=1;            % first problem type (PC etc)
lpt=4;            % last problem type

%Drop NotConverged/HittingBounds subjects (27 in total)
k=1;
i=0;
while i<ns 
    if data(k,1)==3 || data(k,1)==10 || data(k,1)==20 || data(k,1)==22 || data(k,1)==26 || data(k,1)==29 || data(k,1)==35 || data(k,1)==36....
            || data(k,1)==37 || data(k,1)==45 || data(k,1)==49 || data(k,1)==52 || data(k,1)==53 || data(k,1)==54 || data(k,1)==55....
            || data(k,1)==60 || data(k,1)==62 || data(k,1)==65 || data(k,1)==67 || data(k,1)==81 || data(k,1)==83 || data(k,1)==85....
            || data(k,1)==89 || data(k,1)==91 || data(k,1)==92 || data(k,1)==94 || data(k,1)==96
        %Outliers for Allo || data(k,1)==21 || data(k,1)==30 || data(k,1)==38 || data(k,1)==51 || data(k,1)==73 
        data(k,:)=[];
        k=k+0;
    else
        k=k+1;
    end
    i=i+1;
end 

for ptn=fpt:1:lpt
    if ptn==1 %PC
        % r for PC
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,2);
        y=data(:,4);
        plot(x,y,'.');
        title('r for RREU and RRRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/r for RREU RRRD in PC.png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,2);
        y=data(:,7);
        plot(x,y,'.');
        title('r for RREU and AREU in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/r for RREU AREU in PC.png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,2);
        y=data(:,9);
        plot(x,y,'.');
        title('r for RREU and ARRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/r for RREU ARRD in PC.png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,4);
        y=data(:,7);
        plot(x,y,'.');
        title('r for RRRD and AREU in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/r for RRRD AREU in PC.png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,4);
        y=data(:,9);
        plot(x,y,'.');
        title('r for RRRD and ARRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/r for RRRD ARRD in PC.png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,7);
        y=data(:,9);
        plot(x,y,'.');
        title('r for AREU and ARRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/r for AREU ARRD in PC.png');
        % End r for PC
        
        % s for PC
        clf;
        plot([0 30],[0 30]); % s for PC
        hold on
        x=data(:,3);
        y=data(:,6);
        plot(x,y,'.');
        title('s for RREU and RRRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/s for RREU RRRD in PC.png');
        
        clf;
        plot([0 10],[0 10]); % s for PC
        hold on
        x=data(:,3);
        y=data(:,8);
        plot(x,y,'.');
        title('s for RREU and AREU in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/s for RREU AREU in PC.png');
        
        clf;
        plot([0 10],[0 10]); % s for PC
        hold on
        x=data(:,3);
        y=data(:,11);
        plot(x,y,'.');
        title('s for RREU and ARRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/s for RREU ARRD in PC.png');
        
        clf;
        plot([0 30],[0 30]); % s for PC
        hold on
        x=data(:,6);
        y=data(:,8);
        plot(x,y,'.');
        title('s for RRRD and AREU in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/s for RRRD AREU in PC.png');
        
        clf;
        plot([0 30],[0 30]); % s for PC
        hold on
        x=data(:,6);
        y=data(:,11);
        plot(x,y,'.');
        title('s for RRRD and ARRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/s for RRRD ARRD in PC.png');
        
        clf;
        plot([0 1],[0 1]); % s for PC
        hold on
        x=data(:,8);
        y=data(:,11);
        plot(x,y,'.');
        title('s for AREU and ARRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/s for AREU ARRD in PC.png');
        % End s for PC
        
        % g for PC
        clf;
        plot([0 5],[0 5]); % g for PC
        hold on
        x=data(:,5);
        y=data(:,10);
        plot(x,y,'.');
        title('g for RRRD and ARRD in Pairwise Choices');
        print(gcf,'-dpng','estimation results/Figure/PC/g for AREU ARRD in PC.png');
        % End g for PC

    elseif ptn==2
        % r for ALLO
        clf;
        plot([0 90],[0 90]); % r for ALLO
        hold on
        x=data(:,12);
        y=data(:,14);
        plot(x,y,'.');
        title('r for RREU and RRRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/r for RREU RRRD in ALLO.png');
        
        clf;
        plot([0 90],[0 90]); % r for ALLO
        hold on
        x=data(:,12);
        y=data(:,17);
        plot(x,y,'.');
        title('r for RREU and AREU in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/r for RREU AREU in ALLO.png');
        
        clf;
        plot([0 90],[0 90]); % r for ALLO
        hold on
        x=data(:,12);
        y=data(:,19);
        plot(x,y,'.');
        title('r for RREU and ARRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/r for RREU ARRD in ALLO.png');
        
        clf;
        plot([0 70],[0 70]); % r for ALLO
        hold on
        x=data(:,14);
        y=data(:,17);
        plot(x,y,'.');
        title('r for RRRD and AREU in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/r for RRRD AREU in ALLO.png');
        
        clf;
        plot([0 70],[0 70]); % r for ALLO
        hold on
        x=data(:,14);
        y=data(:,19);
        plot(x,y,'.');
        title('r for RRRD and ARRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/r for RRRD ARRD in ALLO.png');
        
        clf;
        plot([0 2],[0 2]); % r for ALLO
        hold on
        x=data(:,17);
        y=data(:,19);
        plot(x,y,'.');
        title('r for AREU and ARRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/r for AREU ARRD in ALLO.png');
        % End r for ALLO
        
        % s for ALLO
        clf;
        plot([0 7],[0 7]); % s for ALLO
        hold on
        x=data(:,13);
        y=data(:,16);
        plot(x,y,'.');
        title('s for RREU and RRRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/s for RREU RRRD in ALLO.png');
        
        clf;
        plot([0 7],[0 7]); % s for ALLO
        hold on
        x=data(:,13);
        y=data(:,18);
        plot(x,y,'.');
        title('s for RREU and AREU in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/s for RREU AREU in ALLO.png');
        
        clf;
        plot([0 7],[0 7]); % s for ALLO
        hold on
        x=data(:,13);
        y=data(:,21);
        plot(x,y,'.');
        title('s for RREU and ARRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/s for RREU ARRD in ALLO.png');
        
        clf;
        plot([0 7],[0 7]); % s for ALLO
        hold on
        x=data(:,16);
        y=data(:,18);
        plot(x,y,'.');
        title('s for RRRD and AREU in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/s for RRRD AREU in ALLO.png');
        
        clf;
        plot([0 7],[0 7]); % s for ALLO
        hold on
        x=data(:,16);
        y=data(:,21);
        plot(x,y,'.');
        title('s for RRRD and ARRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/s for RRRD ARRD in ALLO.png');
        
        clf;
        plot([0 7],[0 7]); % s for ALLO
        hold on
        x=data(:,18);
        y=data(:,21);
        plot(x,y,'.');
        title('s for AREU and ARRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/s for AREU ARRD in ALLO.png');
        % End s for ALLO
        
        % g for ALLO
        clf;
        plot([0 12],[0 12]); % g for ALLO
        hold on
        x=data(:,15);
        y=data(:,20);
        plot(x,y,'.');
        title('g for RRRD and ARRD in Allocation');
        print(gcf,'-dpng','estimation results/Figure/ALLO/g for AREU ARRD in ALLO.png');
        % End g for ALLO
        
    elseif ptn==3
        % r for BDM
        clf;
        plot([-6 8],[-6 8]); % r for BDM
        hold on
        x=data(:,22);
        y=data(:,24);
        plot(x,y,'.');
        title('r for RREU and RRRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/r for RREU RRRD in BDM.png');
        
        clf;
        plot([-6 8],[-6 8]); % r for BDM
        hold on
        x=data(:,22);
        y=data(:,27);
        plot(x,y,'.');
        title('r for RREU and AREU in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/r for RREU AREU in BDM.png');
        
        clf;
        plot([-6 8],[-6 8]); % r for BDM
        hold on
        x=data(:,22);
        y=data(:,29);
        plot(x,y,'.');
        title('r for RREU and ARRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/r for RREU ARRD in BDM.png');
        
        clf;
        plot([-1 6],[-1 6]); % r for BDM
        hold on
        x=data(:,24);
        y=data(:,27);
        plot(x,y,'.');
        title('r for RRRD and AREU in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/r for RRRD AREU in BDM.png');
        
        clf;
        plot([-1 6],[-1 6]); % r for BDM
        hold on
        x=data(:,24);
        y=data(:,29);
        plot(x,y,'.');
        title('r for RRRD and ARRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/r for RRRD ARRD in BDM.png');
        
        clf;
        plot([-1 3],[-1 3]); % r for BDM
        hold on
        x=data(:,27);
        y=data(:,29);
        plot(x,y,'.');
        title('r for AREU and ARRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/r for AREU ARRD in BDM.png');
        % End r for BDM
        
        % s for BDM
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,23);
        y=data(:,26);
        plot(x,y,'.');
        title('s for RREU and RRRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/s for RREU RRRD in BDM.png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,23);
        y=data(:,28);
        plot(x,y,'.');
        title('s for RREU and AREU in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/s for RREU AREU in BDM.png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,23);
        y=data(:,31);
        plot(x,y,'.');
        title('s for RREU and ARRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/s for RREU ARRD in BDM.png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,26);
        y=data(:,28);
        plot(x,y,'.');
        title('s for RRRD and AREU in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/s for RRRD AREU in BDM.png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,26);
        y=data(:,31);
        plot(x,y,'.');
        title('s for RRRD and ARRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/s for RRRD ARRD in BDM.png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,28);
        y=data(:,31);
        plot(x,y,'.');
        title('s for AREU and ARRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/s for AREU ARRD in BDM.png');
        % End s for BDM
        
        % g for BDM
        clf;
        plot([0 14],[0 14]); % g for BDM
        hold on
        x=data(:,25);
        y=data(:,30);
        plot(x,y,'.');
        title('g for RRRD and ARRD in BDM');
        print(gcf,'-dpng','estimation results/Figure/BDM/g for AREU ARRD in BDM.png');
        % End g for BDM
        
    elseif ptn==4
        % r for PL
        clf;
        plot([-1 1],[-1 1]); % r for PL
        hold on
        x=data(:,32);
        y=data(:,34);
        plot(x,y,'.');
        title('r for RREU and RRRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/r for RREU RRRD in PL.png');
        
        clf;
        plot([-20 100],[-20 100]); % r for PL
        hold on
        x=data(:,32);
        y=data(:,37);
        plot(x,y,'.');
        title('r for RREU and AREU in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/r for RREU AREU in PL.png');
        
        clf;
        plot([-10 90],[-10 90]); % r for PL
        hold on
        x=data(:,32);
        y=data(:,39);
        plot(x,y,'.');
        title('r for RREU and ARRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/r for RREU ARRD in PL.png');
        
        clf;
        plot([-20 100],[-20 100]); % r for PL
        hold on
        x=data(:,34);
        y=data(:,37);
        plot(x,y,'.');
        title('r for RRRD and AREU in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/r for RRRD AREU in PL.png');
        
        clf;
        plot([-10 90],[-10 90]); % r for PL
        hold on
        x=data(:,34);
        y=data(:,39);
        plot(x,y,'.');
        title('r for RRRD and ARRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/r for RRRD ARRD in PL.png');
        
        clf;
        plot([-20 100],[-20 100]); % r for PL
        hold on
        x=data(:,37);
        y=data(:,39);
        plot(x,y,'.');
        title('r for AREU and ARRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/r for AREU ARRD in PL.png');
        % End r for PL
        
        % s for PL
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,33);
        y=data(:,36);
        plot(x,y,'.');
        title('s for RREU and RRRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/s for RREU RRRD in PL.png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,33);
        y=data(:,38);
        plot(x,y,'.');
        title('s for RREU and AREU in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/s for RREU AREU in PL.png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,33);
        y=data(:,41);
        plot(x,y,'.');
        title('s for RREU and ARRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/s for RREU ARRD in PL.png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,36);
        y=data(:,38);
        plot(x,y,'.');
        title('s for RRRD and AREU in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/s for RRRD AREU in PL.png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,36);
        y=data(:,41);
        plot(x,y,'.');
        title('s for RRRD and ARRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/s for RRRD ARRD in PL.png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for PL
        hold on
        x=data(:,38);
        y=data(:,41);
        plot(x,y,'.');
        title('s for AREU and ARRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/s for AREU ARRD in PL.png');
        % End s for PL
        
        % g for PL
        clf;
        plot([0 5],[0 5]); % g for PL
        hold on
        x=data(:,35);
        y=data(:,40);
        plot(x,y,'.');
        title('g for RRRD and ARRD in Price Lists');
        print(gcf,'-dpng','estimation results/Figure/PL/g for AREU ARRD in PL.png');
        % End g for PL
    end


end
resultspath=[pwd,'\estimation results\'];
toc