% This is the 2nd-level estimation for RA (Drop several outliers for each elicitation method)
% Different elicitation methods produce different estimates. 
% How close they are?

tic
addpath('data from experiment')
addpath('estimation results');
% load data from experiment
dataori=csvread('data from experiment/m_estimates-All.csv'); % This is the original matrix containing all the loglikelihoods
ns=96;            % number of subjects.
npt=4;            % this is the number of problem types (1 is PC, 2 is Allocation, 3 is BDM, 4 is Price List)
fpt=1;            % first problem type (PC etc)
lpt=4;            % last problem type

%Drop NotConverged/HittingBounds subjects (27 in total)
k=1;
i=0;
while i<ns 
    if dataori(k,1)==3 || dataori(k,1)==10 || dataori(k,1)==20 || dataori(k,1)==22 || dataori(k,1)==26 || dataori(k,1)==29....
            || dataori(k,1)==35 || dataori(k,1)==36 || dataori(k,1)==37 || dataori(k,1)==45 || dataori(k,1)==49....
            || dataori(k,1)==52 || dataori(k,1)==53 || dataori(k,1)==54 || dataori(k,1)==55 || dataori(k,1)==60....
            || dataori(k,1)==62 || dataori(k,1)==65 || dataori(k,1)==67 || dataori(k,1)==81 || dataori(k,1)==83....
            || dataori(k,1)==85 || dataori(k,1)==89 || dataori(k,1)==91 || dataori(k,1)==92 || dataori(k,1)==94....
            || dataori(k,1)==96
        %Outliers for Allo || data(k,1)==21 || data(k,1)==30 || data(k,1)==38 || data(k,1)==51 || data(k,1)==73 
        dataori(k,:)=[];
        k=k+0;
    else
        k=k+1;
    end
    i=i+1;
end 

for ptn=fpt:1:lpt
    if ptn==1 %PC
        % r for PC
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if data(k,1)==24 || data(k,1)==25
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,2);
        y=data(:,4);
        plot(x,y,'.');
        title('r for RREU and RRRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/r for RREU RRRD in PC (Drop Outlier).png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,2);
        y=data(:,7);
        plot(x,y,'.');
        title('r for RREU and AREU in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/r for RREU AREU in PC (Drop Outlier).png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,2);
        y=data(:,9);
        plot(x,y,'.');
        title('r for RREU and ARRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/r for RREU ARRD in PC (Drop Outlier).png');

        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,4);
        y=data(:,7);
        plot(x,y,'.');
        title('r for RRRD and AREU in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/r for RRRD AREU in PC (Drop Outlier).png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,4);
        y=data(:,9);
        plot(x,y,'.');
        title('r for RRRD and ARRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/r for RRRD ARRD in PC (Drop Outlier).png');
        
        clf;
        plot([-0.5 1.5],[-0.5 1.5]); % r for PC
        hold on
        x=data(:,7);
        y=data(:,9);
        plot(x,y,'.');
        title('r for AREU and ARRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/r for AREU ARRD in PC (Drop Outlier).png');
        % End r for PC
        
        % s for PC
        
        clf;
        plot([0 6],[0 6]); % s for PC
        hold on
        x=data(:,3);
        y=data(:,6);
        plot(x,y,'.');
        title('s for RREU and RRRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/s for RREU RRRD in PC (Drop Outlier).png');
        
        clf;
        plot([0 6],[0 6]); % s for PC
        hold on
        x=data(:,3);
        y=data(:,8);
        plot(x,y,'.');
        title('s for RREU and AREU in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/s for RREU AREU in PC (Drop Outlier).png');
        
        clf;
        plot([0 6],[0 6]); % s for PC
        hold on
        x=data(:,3);
        y=data(:,11);
        plot(x,y,'.');
        title('s for RREU and ARRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/s for RREU ARRD in PC (Drop Outlier).png');
        
        clf;
        plot([0 6],[0 6]); % s for PC
        hold on
        x=data(:,6);
        y=data(:,8);
        plot(x,y,'.');
        title('s for RRRD and AREU in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/s for RRRD AREU in PC (Drop Outlier).png');
        
        clf;
        plot([0 6],[0 6]); % s for PC
        hold on
        x=data(:,6);
        y=data(:,11);
        plot(x,y,'.');
        title('s for RRRD and ARRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/s for RRRD ARRD in PC (Drop Outlier).png');
        
        clf;
        plot([0 0.5],[0 0.5]); % s for PC
        hold on
        x=data(:,8);
        y=data(:,11);
        plot(x,y,'.');
        title('s for AREU and ARRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/s for AREU ARRD in PC (Drop Outlier).png');
        % End s for PC
        
        % g for PC
        clf;
        plot([0 4.5],[0 4.5]); % g for PC
        hold on
        x=data(:,5);
        y=data(:,10);
        plot(x,y,'.');
        title('g for RRRD and ARRD in Pairwise Choices (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PC/g for AREU ARRD in PC (Drop Outlier).png');
        % End g for PC

    elseif ptn==2
        % r for ALLO
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if  data(k,1)==21 || data(k,1)==30 || data(k,1)==38 || data(k,1)==51 || data(k,1)==73 
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        
        clf;
        plot([0 4],[0 4]); % r for ALLO
        hold on
        x=data(:,12);
        y=data(:,14);
        plot(x,y,'.');
        title('r for RREU and RRRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/r for RREU RRRD in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 3.5],[0 3.5]); % r for ALLO
        hold on
        x=data(:,12);
        y=data(:,17);
        plot(x,y,'.');
        title('r for RREU and AREU in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/r for RREU AREU in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 3.5],[0 3.5]); % r for ALLO
        hold on
        x=data(:,12);
        y=data(:,19);
        plot(x,y,'.');
        title('r for RREU and ARRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/r for RREU ARRD in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 4],[0 4]); % r for ALLO
        hold on
        x=data(:,14);
        y=data(:,17);
        plot(x,y,'.');
        title('r for RRRD and AREU in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/r for RRRD AREU in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 4],[0 4]); % r for ALLO
        hold on
        x=data(:,14);
        y=data(:,19);
        plot(x,y,'.');
        title('r for RRRD and ARRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/r for RRRD ARRD in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 0.2],[0 0.2]); % r for ALLO
        hold on
        x=data(:,17);
        y=data(:,19);
        plot(x,y,'.');
        title('r for AREU and ARRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/r for AREU ARRD in ALLO (Drop Outlier).png');
        % End r for ALLO
        
        % s for ALLO
        clf;
        plot([0 0.35],[0 0.35]); % s for ALLO
        hold on
        x=data(:,13);
        y=data(:,16);
        plot(x,y,'.');
        title('s for RREU and RRRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/s for RREU RRRD in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 0.35],[0 0.35]); % s for ALLO
        hold on
        x=data(:,13);
        y=data(:,18);
        plot(x,y,'.');
        title('s for RREU and AREU in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/s for RREU AREU in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 0.35],[0 0.35]); % s for ALLO
        hold on
        x=data(:,13);
        y=data(:,21);
        plot(x,y,'.');
        title('s for RREU and ARRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/s for RREU ARRD in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 0.35],[0 0.35]); % s for ALLO
        hold on
        x=data(:,16);
        y=data(:,18);
        plot(x,y,'.');
        title('s for RRRD and AREU in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/s for RRRD AREU in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 0.35],[0 0.35]); % s for ALLO
        hold on
        x=data(:,16);
        y=data(:,21);
        plot(x,y,'.');
        title('s for RRRD and ARRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/s for RRRD ARRD in ALLO (Drop Outlier).png');
        
        clf;
        plot([0 0.35],[0 0.35]); % s for ALLO
        hold on
        x=data(:,18);
        y=data(:,21);
        plot(x,y,'.');
        title('s for AREU and ARRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/s for AREU ARRD in ALLO (Drop Outlier).png');
        % End s for ALLO
        
        % g for ALLO
        clf;
        plot([0 3],[0 3]); % g for ALLO
        hold on
        x=data(:,15);
        y=data(:,20);
        plot(x,y,'.');
        title('g for RRRD and ARRD in Allocation (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/ALLO/g for AREU ARRD in ALLO (Drop Outlier).png');
        % End g for ALLO
        
    elseif ptn==3
        % r for BDM
        data=dataori; % No outliers
        
        clf;
        plot([-6 8],[-6 8]); % r for BDM
        hold on
        x=data(:,22);
        y=data(:,24);
        plot(x,y,'.');
        title('r for RREU and RRRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/r for RREU RRRD in BDM (Drop Outlier).png');
        
        clf;
        plot([-6 8],[-6 8]); % r for BDM
        hold on
        x=data(:,22);
        y=data(:,27);
        plot(x,y,'.');
        title('r for RREU and AREU in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/r for RREU AREU in BDM (Drop Outlier).png');
        
        clf;
        plot([-6 8],[-6 8]); % r for BDM
        hold on
        x=data(:,22);
        y=data(:,29);
        plot(x,y,'.');
        title('r for RREU and ARRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/r for RREU ARRD in BDM (Drop Outlier).png');
        
        clf;
        plot([-1 6],[-1 6]); % r for BDM
        hold on
        x=data(:,24);
        y=data(:,27);
        plot(x,y,'.');
        title('r for RRRD and AREU in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/r for RRRD AREU in BDM (Drop Outlier).png');
        
        clf;
        plot([-1 6],[-1 6]); % r for BDM
        hold on
        x=data(:,24);
        y=data(:,29);
        plot(x,y,'.');
        title('r for RRRD and ARRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/r for RRRD ARRD in BDM (Drop Outlier).png');
        
        clf;
        plot([-1 3],[-1 3]); % r for BDM
        hold on
        x=data(:,27);
        y=data(:,29);
        plot(x,y,'.');
        title('r for AREU and ARRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/r for AREU ARRD in BDM (Drop Outlier).png');
        % End r for BDM
        
        % s for BDM
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,23);
        y=data(:,26);
        plot(x,y,'.');
        title('s for RREU and RRRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/s for RREU RRRD in BDM (Drop Outlier).png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,23);
        y=data(:,28);
        plot(x,y,'.');
        title('s for RREU and AREU in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/s for RREU AREU in BDM (Drop Outlier).png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,23);
        y=data(:,31);
        plot(x,y,'.');
        title('s for RREU and ARRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/s for RREU ARRD in BDM (Drop Outlier).png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,26);
        y=data(:,28);
        plot(x,y,'.');
        title('s for RRRD and AREU in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/s for RRRD AREU in BDM (Drop Outlier).png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,26);
        y=data(:,31);
        plot(x,y,'.');
        title('s for RRRD and ARRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/s for RRRD ARRD in BDM (Drop Outlier).png');
        
        clf;
        plot([0 1.5],[0 1.5]); % s for BDM
        hold on
        x=data(:,28);
        y=data(:,31);
        plot(x,y,'.');
        title('s for AREU and ARRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/s for AREU ARRD in BDM (Drop Outlier).png');
        % End s for BDM
        
        % g for BDM
        clf;
        plot([0 14],[0 14]); % g for BDM
        hold on
        x=data(:,25);
        y=data(:,30);
        plot(x,y,'.');
        title('g for RRRD and ARRD in BDM (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/BDM/g for AREU ARRD in BDM (Drop Outlier).png');
        % End g for BDM
        
    elseif ptn==4
        % r for PL
        data=dataori;
        k=1;
        i=0;
        while i<length(data(:,1))  
             if  data(k,1)==33 || data(k,1)==34
                data(k,:)=[];
                k=k+0;
             else
                k=k+1;
             end
             i=i+1;
        end
        
        clf;
        plot([-1 1],[-1 1]); % r for PL
        hold on
        x=data(:,32);
        y=data(:,34);
        plot(x,y,'.');
        title('r for RREU and RRRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/r for RREU RRRD in PL (Drop Outlier).png');
        
        clf;
        plot([-1 1],[-1 1]); % r for PL
        hold on
        x=data(:,32);
        y=data(:,37);
        plot(x,y,'.');
        title('r for RREU and AREU in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/r for RREU AREU in PL (Drop Outlier).png');
        
        clf;
        plot([-1 1],[-1 1]); % r for PL
        hold on
        x=data(:,32);
        y=data(:,39);
        plot(x,y,'.');
        title('r for RREU and ARRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/r for RREU ARRD in PL (Drop Outlier).png');
        
        clf;
        plot([-1 1],[-1 1]); % r for PL
        hold on
        x=data(:,34);
        y=data(:,37);
        plot(x,y,'.');
        title('r for RRRD and AREU in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/r for RRRD AREU in PL (Drop Outlier).png');
        
        clf;
        plot([-1 1],[-1 1]); % r for PL
        hold on
        x=data(:,34);
        y=data(:,39);
        plot(x,y,'.');
        title('r for RRRD and ARRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/r for RRRD ARRD in PL (Drop Outlier).png');
        
        clf;
        plot([-0.2 1.2],[-0.2 1.2]); % r for PL
        hold on
        x=data(:,37);
        y=data(:,39);
        plot(x,y,'.');
        title('r for AREU and ARRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/r for AREU ARRD in PL (Drop Outlier).png');
        % End r for PL
        
        % s for PL
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,33);
        y=data(:,36);
        plot(x,y,'.');
        title('s for RREU and RRRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/s for RREU RRRD in PL (Drop Outlier).png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,33);
        y=data(:,38);
        plot(x,y,'.');
        title('s for RREU and AREU in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/s for RREU AREU in PL (Drop Outlier).png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,33);
        y=data(:,41);
        plot(x,y,'.');
        title('s for RREU and ARRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/s for RREU ARRD in PL (Drop Outlier).png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,36);
        y=data(:,38);
        plot(x,y,'.');
        title('s for RRRD and AREU in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/s for RRRD AREU in PL (Drop Outlier).png');
        
        clf;
        plot([0 7],[0 7]); % s for PL
        hold on
        x=data(:,36);
        y=data(:,41);
        plot(x,y,'.');
        title('s for RRRD and ARRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/s for RRRD ARRD in PL (Drop Outlier).png');
        
        clf;
        plot([0 1],[0 1]); % s for PL
        hold on
        x=data(:,38);
        y=data(:,41);
        plot(x,y,'.');
        title('s for AREU and ARRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/s for AREU ARRD in PL (Drop Outlier).png');
        % End s for PL
        
        % g for PL
        clf;
        plot([0 5],[0 5]); % g for PL
        hold on
        x=data(:,35);
        y=data(:,40);
        plot(x,y,'.');
        title('g for RRRD and ARRD in Price Lists (Drop Outlier)');
        print(gcf,'-dpng','estimation results/Figure/Drop Outlier/PL/g for AREU ARRD in PL (Drop Outlier).png');
        % End g for PL
    end


end
resultspath=[pwd,'\estimation results\'];
toc