function [lls,ll,ce]=ll33(z,sp,x,p,y)
% This is the log-likelihood function for AR EU for BDM
lbll=-10000;
np=size(p,1);
ll=zeros(np,1);
u=zeros(np,1);
ce=zeros(np,1); %Certainty equivalence of the lottery
r=z(1);
s=z(2);
for pn=1:1:np
    u(pn)=p(pn)*cara(x(pn),r)+(1-p(pn))*cara(y(pn),r); % Utility of the lottery, AR EU
    ce(pn)=-log(1-(u(pn)*(1-exp(-15*r))/100))/r;
    ll(pn)=log(cdf('Normal', s*(sp(pn)+0.05-ce(pn)),0,1)-cdf('Normal', s*(sp(pn)-0.05-ce(pn)),0,1));
    if ((isnan(ll(pn))) || (ll(pn)==-Inf))
        ll(pn)=lbll;
    end 
end
%because we need to maximise this but fmincon is for minimization so we
%need to minus it
lls=-sum(ll);
end


